<?php
/**
* Plugin Name: WooCommerce Alfabank Checkout plugin
* Plugin URI:
* Description: Allows to use a payment gateway with the WooCommerce
* Version: 5.1.6
* Author: RBSPayment
* Text Domain: wc-alfabank-text-domain
* Domain Path: /lang
* Request at least:        4.7.0
* Tested up to:            6.5
* Requires PHP:            5.6
* WC requires at least:    4.0
* WC tested up to:         8.9.1
*/
if ( ! defined( 'ABSPATH' ) ) {
exit;
}
require_once(__DIR__ . '/includes/include.php');
if (file_exists(__DIR__ . '/includes/DiscountHelper.php')) {
include(__DIR__ . '/includes/DiscountHelper.php');
}
add_filter('plugin_row_meta', 'alfabank_register_plugin_links', 10, 2);
function alfabank_register_plugin_links($links, $file)
{
$base = plugin_basename(__FILE__);
if ($file == $base) {
$links[] = '<a href="admin.php?page=wc-settings&tab=checkout&section=alfabank">' . __('Settings', 'woocommerce') . '</a>';
}
return $links;
}
add_action('before_woocommerce_init', function() {
if (class_exists(\Automattic\WooCommerce\Utilities\FeaturesUtil::class)) {
\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility('custom_order_tables', __FILE__, true);
}
});
add_action('plugins_loaded', 'load_alfabank_textdomain');
function load_alfabank_textdomain () {
$res = load_plugin_textdomain('wc-alfabank-text-domain', false, dirname(plugin_basename(__FILE__)) . '/lang');
}
/**
* WC RBSPaymentAlfabank Payment gateway plugin class.
*
* @class WC_RBSPaymentAlfabank_Payments
*/
class WC_RBSPaymentAlfabank_Payments {
/**
* Plugin bootstrapping.
*/
public static function init() {
add_action( 'plugins_loaded', array( __CLASS__, 'includes' ), 0 );
add_filter( 'woocommerce_payment_gateways', array( __CLASS__, 'add_gateway' ) );
add_action( 'woocommerce_blocks_loaded', array( __CLASS__, 'woocommerce_gateway_alfabank_woocommerce_block_support' ) );
}
/**
* Add the RBSPaymentAlfabank Payment gateway to the list of available gateways.
*
* @param array
*/
public static function add_gateway( $gateways ) {
$options = get_option( 'woocommerce_alfabank_settings', array() );
$gateways[] = 'WC_Gateway_RBSPaymentAlfabank';
return $gateways;
}
/**
* Plugin includes.
*/
public static function includes() {
if ( class_exists( 'WC_Payment_Gateway' ) ) {
require_once 'includes/class-wc-gateway-alfabank.php';
}
}
/**
* Plugin url.
*
* @return string
*/
public static function plugin_url() {
return untrailingslashit( plugins_url( '/', __FILE__ ) );
}
/**
* Plugin url.
*
* @return string
*/
public static function plugin_abspath() {
return trailingslashit( plugin_dir_path( __FILE__ ) );
}
/**
* Registers WooCommerce Blocks integration.
*
*/
public static function woocommerce_gateway_alfabank_woocommerce_block_support() {
if ( class_exists( 'Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType' ) ) {
require_once 'includes/blocks/class-wc-alfabank-payments-blocks.php';
add_action(
'woocommerce_blocks_payment_method_type_registration',
function( Automattic\WooCommerce\Blocks\Payments\PaymentMethodRegistry $payment_method_registry ) {
$payment_method_registry->register( new WC_Gateway_RBSPaymentAlfabank_Blocks_Support() );
}
);
}
}
}
WC_RBSPaymentAlfabank_Payments::init();
